<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__pdm__pcm__enums" kind="group">
    <compoundname>group_pdm_pcm_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__pdm__pcm__enums_1ga97622d82ab2e429e1b8486428f22e266" kind="enum" prot="public" static="no">
        <name>cy_en_pdm_pcm_word_len_t</name>
        <enumvalue id="group__group__pdm__pcm__enums_1gga97622d82ab2e429e1b8486428f22e266a99bdeef4802e95f8780cf682a09073d5" prot="public">
          <name>CY_PDM_PCM_WLEN_16_BIT</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Word length: 16 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1gga97622d82ab2e429e1b8486428f22e266a6ff7e6b1c13db81966a64c33d9b40250" prot="public">
          <name>CY_PDM_PCM_WLEN_18_BIT</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Word length: 18 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1gga97622d82ab2e429e1b8486428f22e266a002f596bcfe821d6e35feca898f78fd5" prot="public">
          <name>CY_PDM_PCM_WLEN_20_BIT</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Word length: 20 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1gga97622d82ab2e429e1b8486428f22e266a6541319a5f711068e581161268e0b1fc" prot="public">
          <name>CY_PDM_PCM_WLEN_24_BIT</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Word length: 24 bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_pdm_pcm_word_len_t: </bold><linebreak />PDM Word Length.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="265" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="259" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="260" />
      </memberdef>
      <memberdef id="group__group__pdm__pcm__enums_1gaa27739a09b270827f49869f20c9d2ecb" kind="enum" prot="public" static="no">
        <name>cy_en_pdm_pcm_clk_div_t</name>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaa27739a09b270827f49869f20c9d2ecba693fd2bda6ca858fdf4d94ca97f8b6fc" prot="public">
          <name>CY_PDM_PCM_CLK_DIV_BYPASS</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Clock 1/1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaa27739a09b270827f49869f20c9d2ecbaf5cbc3da6dbf41f45932333351e299b6" prot="public">
          <name>CY_PDM_PCM_CLK_DIV_1_2</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Clock 1/2 (no 50% duty cycle). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaa27739a09b270827f49869f20c9d2ecba0394d6d60e4965fc9c8cbcfca40c0e52" prot="public">
          <name>CY_PDM_PCM_CLK_DIV_1_3</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Clock 1/3 (no 50% duty cycle). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaa27739a09b270827f49869f20c9d2ecba77e75f1711206c07480f43dd60eb3d97" prot="public">
          <name>CY_PDM_PCM_CLK_DIV_1_4</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Clock 1/4 (no 50% duty cycle). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_pdm_pcm_clk_div_t: </bold><linebreak />PDM Clock Divider.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="274" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="268" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="269" />
      </memberdef>
      <memberdef id="group__group__pdm__pcm__enums_1ga1a5b2dac3a8f00ab2d096c0448aa34e4" kind="enum" prot="public" static="no">
        <name>cy_en_pdm_pcm_out_t</name>
        <enumvalue id="group__group__pdm__pcm__enums_1gga1a5b2dac3a8f00ab2d096c0448aa34e4ad564d9903ae5f1185fd3355e63b71e0d" prot="public">
          <name>CY_PDM_PCM_OUT_CHAN_LEFT</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Channel mono left. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1gga1a5b2dac3a8f00ab2d096c0448aa34e4a608c8643ff60aa4c51eb80f2227fa018" prot="public">
          <name>CY_PDM_PCM_OUT_CHAN_RIGHT</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Channel mono right. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1gga1a5b2dac3a8f00ab2d096c0448aa34e4a0c12112db79eeac2ae002bf1e01b9fb2" prot="public">
          <name>CY_PDM_PCM_OUT_STEREO</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Channel stereo. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_pdm_pcm_out_t: </bold><linebreak />PDM Output Mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="282" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="277" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="278" />
      </memberdef>
      <memberdef id="group__group__pdm__pcm__enums_1ga3f28a6dc09f7e9046984e99400290ec5" kind="enum" prot="public" static="no">
        <name>cy_en_pdm_pcm_chan_select_t</name>
        <enumvalue id="group__group__pdm__pcm__enums_1gga3f28a6dc09f7e9046984e99400290ec5abd98ea5f19225868ae6ae87b994633d4" prot="public">
          <name>CY_PDM_PCM_CHAN_LEFT</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Channel left. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1gga3f28a6dc09f7e9046984e99400290ec5af3c5c7be5b6c5307aaedc7bc64a03d93" prot="public">
          <name>CY_PDM_PCM_CHAN_RIGHT</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Channel right. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_pdm_pcm_chan_select_t: </bold><linebreak />PDM Channel selector.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="289" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="285" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="286" />
      </memberdef>
      <memberdef id="group__group__pdm__pcm__enums_1gaadc731486c068307198cd76e1283432f" kind="enum" prot="public" static="no">
        <name>cy_en_pdm_pcm_gain_t</name>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fabc37f83ab5cd13947688c82fe38c87ee" prot="public">
          <name>CY_PDM_PCM_ATTN_12_DB</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>-12 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa275d21bfb177f19760835f1dfb97d0c3" prot="public">
          <name>CY_PDM_PCM_ATTN_10_5_DB</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>-10.5 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa6e99f77789f4a0d21161f4216d4b88fe" prot="public">
          <name>CY_PDM_PCM_ATTN_9_DB</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>-9 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa5568a92caece9f7e49a1755384c85b72" prot="public">
          <name>CY_PDM_PCM_ATTN_7_5_DB</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>-7.5 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432faa093b0bff42e219f9510bc036e01f7c9" prot="public">
          <name>CY_PDM_PCM_ATTN_6_DB</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>-6 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fab37e3600194e164d523fb3d85adbecb1" prot="public">
          <name>CY_PDM_PCM_ATTN_4_5_DB</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>-4.5 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432faf67aeaebf98b7d7858fe59c85528377d" prot="public">
          <name>CY_PDM_PCM_ATTN_3_DB</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>-3 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa09b6cd14383ee95a42130857c75bccf7" prot="public">
          <name>CY_PDM_PCM_ATTN_1_5_DB</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>-1.5 dB (attenuation). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa1e25122fd97a1bd2eb85e4bb9cdd1860" prot="public">
          <name>CY_PDM_PCM_BYPASS</name>
          <initializer>= 8U</initializer>
          <briefdescription>
<para>0 dB (bypass). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fab311d876f07ab18f8efb116491ceef23" prot="public">
          <name>CY_PDM_PCM_GAIN_1_5_DB</name>
          <initializer>= 9U</initializer>
          <briefdescription>
<para>+1.5 dB (amplification). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fab0ba26e03cfde275076d5bde63afcbfb" prot="public">
          <name>CY_PDM_PCM_GAIN_3_DB</name>
          <initializer>= 10U</initializer>
          <briefdescription>
<para>+3 dB (amplification). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa02e6102b08c5f7ca6d09367a27ce2fa1" prot="public">
          <name>CY_PDM_PCM_GAIN_4_5_DB</name>
          <initializer>= 11U</initializer>
          <briefdescription>
<para>+4.5 dB (amplification). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fac43c0319af24183c225b078ee6179029" prot="public">
          <name>CY_PDM_PCM_GAIN_6_DB</name>
          <initializer>= 12U</initializer>
          <briefdescription>
<para>+6 dB (amplification). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa36c0e7dc646eb9eb1db901ef39319959" prot="public">
          <name>CY_PDM_PCM_GAIN_7_5_DB</name>
          <initializer>= 13U</initializer>
          <briefdescription>
<para>+7.5 dB (amplification). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa480a8cd8fd7aed8d11c6f37317bc3bd1" prot="public">
          <name>CY_PDM_PCM_GAIN_9_DB</name>
          <initializer>= 14U</initializer>
          <briefdescription>
<para>+9 dB (amplification). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggaadc731486c068307198cd76e1283432fa59ad18f8b4054df4feaa9fbe3dd3d0f0" prot="public">
          <name>CY_PDM_PCM_GAIN_10_5_DB</name>
          <initializer>= 15U</initializer>
          <briefdescription>
<para>+10.5 dB (amplification). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_pdm_pcm_gain_t: </bold><linebreak />PDM Gain.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="292" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="293" />
      </memberdef>
      <memberdef id="group__group__pdm__pcm__enums_1gad60ecc3b7b9d0ae7f448438f66699cb9" kind="enum" prot="public" static="no">
        <name>cy_en_pdm_pcm_s_cycles_t</name>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a2e2706d2495987f251944d1f98052c0b" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_64</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>64 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a388ddf2156a060132a4a9bbc4c34e121" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_96</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>96 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a0dca4fd329251ed5d9992478840e902a" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_128</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>128 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a062e67d0364b6019d8cdb382c8f8f252" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_160</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>160 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a67765de207f0092ed35ba7a199330026" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_192</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>192 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a7965df6597ab325de1f63078055270b0" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_256</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>256 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a2cde0d07019450e85e6062e4de447f55" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_384</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>384 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1ggad60ecc3b7b9d0ae7f448438f66699cb9a184cc12d8ec457d653e792800e673274" prot="public">
          <name>CY_PDM_PCM_SOFT_MUTE_CYCLES_512</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>512 steps. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_pdm_pcm_s_cycles_t: </bold><linebreak />The time step for gain change during PGA or soft mute operation in number of 1/a sampling rate.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="325" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="315" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="316" />
      </memberdef>
      <memberdef id="group__group__pdm__pcm__enums_1ga8ef640550e81684b9c1b7a8af1cfd355" kind="enum" prot="public" static="no">
        <name>cy_en_pdm_pcm_status_t</name>
        <enumvalue id="group__group__pdm__pcm__enums_1gga8ef640550e81684b9c1b7a8af1cfd355aa19a67e822e56e6646241c57396f86a4" prot="public">
          <name>CY_PDM_PCM_SUCCESS</name>
          <initializer>= 0x00UL</initializer>
          <briefdescription>
<para>Success status code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__pdm__pcm__enums_1gga8ef640550e81684b9c1b7a8af1cfd355a02fbb89909bedaaeccbcec18fdf56f6c" prot="public">
          <name>CY_PDM_PCM_BAD_PARAM</name>
          <initializer>= CY_PDM_PCM_ID | CY_PDL_STATUS_ERROR | 0x01UL</initializer>
          <briefdescription>
<para>Bad parameter status code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_pdm_pcm_status_t: </bold><linebreak />The PDM-PCM status codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="332" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" bodystart="328" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pdm_pcm.h" line="329" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>